Bug 242519 - dns/powerdns: update to 4.2.1
Summary: dns/powerdns: update to 4.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://doc.powerdns.com/authoritativ...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-09 08:52 UTC by Ralf van der Enden
Modified: 2020-01-17 18:02 UTC (History)
1 user (show)

See Also:


Attachments
Update to PowerDNS Auhoritative Server 4.2.1 (4.87 KB, patch)
2019-12-09 08:52 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to PowerDNS Authoritive Server 4.2.1 (regenerated patch) (4.88 KB, patch)
2020-01-08 08:19 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-12-09 08:52:11 UTC
Created attachment 209798 [details]
Update to PowerDNS Auhoritative Server 4.2.1

4.2.1 release notes:
This release fixes several bugs and makes a few features more robust or intuitive. It also contains a few performance improvements for API users.

For a full list of changes look here: https://doc.powerdns.com/authoritative/changelog/4.2.html#change-4.2.1

QA:
portlint: OK (looks fine.)
testport: OK (12.1, amd64)`

I added a patch from upstream that fixes a memory leak in the bindbackend, which was missed for the 4.2.1 release. It'll be part of 4.2.2 once released.
Comment 1 Ralf van der Enden 2019-12-09 08:54:09 UTC
Forgot to mention I also changed from LuaJIT to LuaJIT-Openresty (which is actually suppported) when selection the LuaJIT OPTION.
Comment 2 Automation User 2019-12-09 09:22:27 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/101616303
Comment 3 Tobias C. Berner freebsd_committer 2020-01-07 18:49:30 UTC
Moin moin 

Could you regenarate the patch against the current tree?

mfg Tobias
Comment 4 Ralf van der Enden 2020-01-08 08:19:41 UTC
Created attachment 210520 [details]
Update to PowerDNS Authoritive Server 4.2.1 (regenerated patch)
Comment 5 Tobias C. Berner freebsd_committer 2020-01-17 18:01:42 UTC
Committed. Thank you.
Comment 6 commit-hook freebsd_committer 2020-01-17 18:02:19 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 17 18:01:32 UTC 2020
New revision: 523342
URL: https://svnweb.freebsd.org/changeset/ports/523342

Log:
  dns/powerdns: update to 4.2.1

  4.2.1 release notes:
  This release fixes several bugs and makes a few features more robust or
  intuitive. It also contains a few performance improvements for API users.

  For a full list of changes look here:
  	https://doc.powerdns.com/authoritative/changelog/4.2.html#change-4.2.1

  PR:		242519
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/patch-configure
  head/dns/powerdns/files/patch-fix_memleak_bindbackend